Bug 978346 - system doesn't boot after installation
system doesn't boot after installation
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 08:27 EDT by Jan Sedlák
Modified: 2015-02-17 10:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:42:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lsinit output from broken image, with access right (they differ), sorted by filename (174.80 KB, text/plain)
2013-06-26 08:29 EDT, Jan Sedlák
no flags Details
lsinit output from OK image, with access rights, sorted by filename (172.85 KB, text/plain)
2013-06-26 08:30 EDT, Jan Sedlák
no flags Details
better, html output, lsinitrd from broken image (158.11 KB, text/html)
2013-06-26 08:32 EDT, Jan Sedlák
no flags Details
better, html output, lsinitrd from ok image (156.15 KB, text/html)
2013-06-26 08:33 EDT, Jan Sedlák
no flags Details
diff of both initramfs (23.09 KB, text/plain)
2013-06-26 08:38 EDT, Jan Sedlák
no flags Details
ok initramfs image (7.82 MB, application/x-gzip)
2013-06-26 08:39 EDT, Jan Sedlák
no flags Details
broken initramfs image (7.99 MB, application/x-gzip)
2013-06-26 08:40 EDT, Jan Sedlák
no flags Details
anaconda.log (165.55 KB, text/plain)
2013-06-26 09:44 EDT, Jan Sedlák
no flags Details
anaconda.packaging.log (197 bytes, text/plain)
2013-06-26 09:44 EDT, Jan Sedlák
no flags Details
anaconda.program.log (48.17 KB, text/plain)
2013-06-26 09:45 EDT, Jan Sedlák
no flags Details
anaconda.storage.log (861.34 KB, text/plain)
2013-06-26 09:45 EDT, Jan Sedlák
no flags Details
dracut.log (76.96 KB, text/plain)
2013-06-26 09:46 EDT, Jan Sedlák
no flags Details
failed boot (15.87 KB, image/png)
2013-06-27 07:08 EDT, Jan Sedlák
no flags Details

  None (edit)
Description Jan Sedlák 2013-06-26 08:27:21 EDT
Description of problem:
I'm currently unable to reproduce it, but I have done fresh install of Fedora 19 RC2 from netinst, I set root and /home to be BTRFS and after installation, I was unable to boot using standard initram filesystem. Rescue target worked, so I booted it, rebuilt initram using "dracut -f" and new initram works (I am able to boot using it). I examined both images using "lsinitrd" and there are some differences. I am attaching anaconda logs, outputs from lsinitrd and both initram images.
Comment 1 Jan Sedlák 2013-06-26 08:29:15 EDT
Created attachment 765541 [details]
lsinit output from broken image, with access right (they differ), sorted by filename
Comment 2 Jan Sedlák 2013-06-26 08:30:02 EDT
Created attachment 765542 [details]
lsinit output from OK image, with access rights, sorted by filename
Comment 3 Jan Sedlák 2013-06-26 08:32:53 EDT
Created attachment 765543 [details]
better, html output, lsinitrd from broken image
Comment 4 Jan Sedlák 2013-06-26 08:33:28 EDT
Created attachment 765544 [details]
better, html output, lsinitrd from ok image
Comment 5 Jan Sedlák 2013-06-26 08:38:04 EDT
Created attachment 765546 [details]
diff of both initramfs
Comment 6 Jan Sedlák 2013-06-26 08:39:00 EDT
Created attachment 765548 [details]
ok initramfs image
Comment 7 Jan Sedlák 2013-06-26 08:40:33 EDT
Created attachment 765549 [details]
broken initramfs image
Comment 8 Harald Hoyer 2013-06-26 09:42:18 EDT
please attach the anaconda logs and /var/log/dracut.log

Also the /run/initramfs/sosreport.txt from booting the broken image would be most useful.

Just mount /boot by hand and copy over sosreport.txt
Comment 9 Jan Sedlák 2013-06-26 09:44:09 EDT
Created attachment 765592 [details]
anaconda.log
Comment 10 Jan Sedlák 2013-06-26 09:44:34 EDT
Created attachment 765593 [details]
anaconda.packaging.log
Comment 11 Jan Sedlák 2013-06-26 09:45:02 EDT
Created attachment 765594 [details]
anaconda.program.log
Comment 12 Jan Sedlák 2013-06-26 09:45:28 EDT
Created attachment 765595 [details]
anaconda.storage.log
Comment 13 Jan Sedlák 2013-06-26 09:46:42 EDT
Created attachment 765596 [details]
dracut.log
Comment 14 Jan Sedlák 2013-06-26 10:04:12 EDT
I have mounted *.img of disk using kpartx during unsuccessful boot, but I couldn't locate sosreport.txt.
Comment 15 Harald Hoyer 2013-06-26 10:35:16 EDT
it's in /run.. /run is a tmpfs in memory.
Comment 16 Jan Sedlák 2013-06-27 07:07:18 EDT
I am unable to mount /boot and copy sosreport.txt, because it event doesn't drop me into rescue shell. It hangs during boot (without visible error).
Comment 17 Jan Sedlák 2013-06-27 07:08:04 EDT
Created attachment 766057 [details]
failed boot
Comment 18 Harald Hoyer 2013-08-20 08:59:14 EDT
(In reply to Jan Sedlák from comment #17)
> Created attachment 766057 [details]
> failed boot

Hmm... that looks more like a broken kernel

please add "rd.debug debug" to the kernel command line and remove "quiet"
Comment 19 Fedora End Of Life 2015-01-09 13:32:38 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2015-02-17 10:42:05 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.